VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form ymldPricing 
   Caption         =   "YMLD Seat Price Plans"
   ClientHeight    =   3810
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6870
   LinkTopic       =   "Form1"
   ScaleHeight     =   3810
   ScaleWidth      =   6870
   StartUpPosition =   3  'Windows Default
   Begin MSFlexGridLib.MSFlexGrid Productions 
      Height          =   2895
      Left            =   180
      TabIndex        =   2
      Top             =   180
      Width           =   6435
      _ExtentX        =   11351
      _ExtentY        =   5106
      _Version        =   393216
      Rows            =   0
      FixedRows       =   0
      FixedCols       =   0
   End
   Begin VB.CommandButton Exit 
      Height          =   375
      Left            =   240
      Picture         =   "ymldPrices.frx":0000
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   3240
      Width           =   375
   End
   Begin VB.Label Label1 
      Caption         =   "Return"
      BeginProperty Font 
         Name            =   "Microsoft Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   660
      TabIndex        =   1
      Top             =   3300
      Width           =   1215
   End
End
Attribute VB_Name = "ymldPricing"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'
' Your Momma Loves Drama
' Apache Derby - Off to the Races
' Copyright (c) 2005 - George Baklarz, Paul Zikopoulos, Dan Scott
'
Private Sub Exit_Click()
Unload Me
End Sub

Private Sub Form_Load()
'
' Load the table with the Pricing information
'
Dim sqlcmd As String
Dim rdoQry As New rdoQuery                                  ' SQL Handle for execution
Dim rdoResult As rdoResultset                               ' Result of query
Dim PNo As String                                           ' Performance Information
Dim PCost As String
Dim row_count As Integer

On Error GoTo SQLErr
'
' Set the column headings
'
Productions.AddItem "Price Plan" + vbTab + "Cost"

With rdoQry
    Set .ActiveConnection = rdoYMLD                         ' Connection
    .sql = "SELECT * FROM PRICEPLAN"                        ' All price plans
    Set rdoResult = .OpenResultset                          ' get the results?
End With

While rdoResult.EOF = False                                 ' There is data
    With rdoResult
        PNo = !PricePlan_no                                 ' Price plan number                      ' Performance number
        PCost = !PricePlan_Cost                             ' Cost of a seat
    End With
    Productions.AddItem PNo + vbTab + PCost
    rdoResult.MoveNext
Wend
Productions.FixedRows = 1
rdoResult.Close                                             ' Close the result set
rdoQry.Close
Exit Sub

SQLErr:
    Call getErrMessage
    Exit Sub
End Sub

